PXAIP(4)

NAME
pxaip - Intel Xscale PXA250/PXA270 Onboard Peripheral Controller

SYNOPSIS
pxaip0 at mainbus?

DESCRIPTION
pxaip is an on-board peripheral controller found in XScale PXA250, PXA255, PXA270, PXA271, and PXA272 processors manufactured by Intel and Marvell Technology. Drivers are available for the following peripherals:

com NS16650-compatible serial ports.

gxiic
    Gumstix Inter IC controller.

gxio
    Gumstix I/O interface.

lcd LCD controller.

obio
    Onboard I/O interface.

ohci
    USB OHCI host controller.

pxaacu
    Intel Xscale PXA250/270 AC'97 audio device.

pxadmac
    Intel XScale PXA250/270 DMA controller.

pxagpio0
    Intel XScale PXA250/270 GPIO controller.

pxaintc
    Intel XScale PXA250/270 interrupt controller.

pxamci
    Intel XScale PXA250/270 SD/MMC card controller.

pxapcic
    Intel XScale PXA250/270 PCMCIA controller.

pxartc
    Intel XScale PXA250/270 real time clock.

saost
    StrongARM SA-110 compatible OS timer.

sm  SMC91Cxx Ethernet interface.

zapm
    Sharp Zaurus power management controller.

ziic
    Sharp Zaurus Inter IC controller

zkbd
    Sharp Zaurus keyboard.

zrc Sharp Zaurus remote controller.

SEE ALSO
com(4), evbarm/gxio(4), ohci(4), sm(4)

HISTORY
The pxaip driver first appeared in NetBSD 2.0.

AUTHORS
-nosplit The pxaip driver was written by Steve Woodford <scw@NetBSD.org>. This manual page was contributed by Stephan Meisinger.